POST /api/v202203/utilityPlatform/meter/search

Search utility platform meters

SearchUtilityPlatformMetersV202203 Paginated
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Query Parameters

Name Description Type Required
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Request Body

MeterSearchRequest
Property Description Type
addresses List of premise ids to search for Required when SearchType is set to Address List cannot be empty Only one of Addresses, SerialNumbers can be set string[]
searchType Type of input to use for meter search One of ‘Address’, ‘SerialNumber’ string
serialNumbers List of serial numbers to search for Required when SearchType is set to SerialNumber List cannot be empty Only one of Addresses, SerialNumbers can be set string[]
Example Request Body application/json
{  "addresses": [
    "string"
  ],  "searchType": "string",  "serialNumbers": [
    "string"
  ]
}

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

MoveCreateMeter
Property Description Type
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
meterCode The meter code string
meterDisplay The meter display name string
serialNumber The meter serial number string
Example Response application/json
[
  {    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "meterCode": "string",    "meterDisplay": "string",    "serialNumber": "string"
  }
]